#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	blueman
Version		:	2.2.4
Release		:	17.2.0.rel%{?dist}
Summary		:	GTK+ Bluetooth Manager

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/blueman-project/blueman/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires		:	bluez-libs-devel
BuildRequires		:	desktop-file-utils
BuildRequires		:	iproute2
BuildRequires		:	polkit-devel
BuildRequires		:	python3-cython
BuildRequires		:	python3-pygobject

Requires		:	python3-pygobject

Requires(posttrans)	:	%{_bindir}/gtk-update-icon-cache
Requires(posttrans)	:	%{_bindir}/glib-compile-schemas
Requires(posttrans)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a tool to use Bluetooth devices. It is
designed to provide simple, yet effective means for
controlling BlueZ API and simplifying bluetooth tasks
such as:
 - Connecting to 3G/EDGE/GPRS via dial-up
 - Connecting to/Creating bluetooth networks
 - Connecting to input devices
 - Connecting to audio devices
 - Sending/Receiving files via OBEX
 - Pairing

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README.md COPYING FAQ CHANGELOG.md
%license
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}-*
%{_libexecdir}/%{name}-*
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/*.pyc
%{python3_sitelib}/%{name}/bluez/*.py
%{python3_sitelib}/%{name}/bluez/__pycache__/*.pyc
%{python3_sitelib}/%{name}/bluez/obex/*.py
%{python3_sitelib}/%{name}/bluez/obex/__pycache__/*.pyc
%{python3_sitelib}/%{name}/config/*.py
%{python3_sitelib}/%{name}/config/__pycache__/*.pyc
%{python3_sitelib}/%{name}/gui/*.py
%{python3_sitelib}/%{name}/gui/__pycache__/*.pyc
%{python3_sitelib}/%{name}/gui/applet/*.py
%{python3_sitelib}/%{name}/gui/applet/__pycache__/*.pyc
%{python3_sitelib}/%{name}/gui/manager/*.py
%{python3_sitelib}/%{name}/gui/manager/__pycache__/*.pyc
%{python3_sitelib}/%{name}/main/*.py
%{python3_sitelib}/%{name}/main/__pycache__/*.pyc
%{python3_sitelib}/%{name}/main/applet/*.py
%{python3_sitelib}/%{name}/main/applet/__pycache__/*.pyc
%{python3_sitelib}/%{name}/main/indicators/*.py
%{python3_sitelib}/%{name}/main/indicators/__pycache__/*.pyc
%{python3_sitelib}/%{name}/plugins/*.py
%{python3_sitelib}/%{name}/plugins/__pycache__/*.pyc
%{python3_sitelib}/%{name}/plugins/applet/*.py
%{python3_sitelib}/%{name}/plugins/applet/__pycache__/*.pyc
%{python3_sitelib}/%{name}/plugins/manager/*.py
%{python3_sitelib}/%{name}/plugins/manager/__pycache__/*.pyc
%{python3_sitelib}/%{name}/plugins/mechanism/*.py
%{python3_sitelib}/%{name}/plugins/mechanism/__pycache__/*.pyc
%{python3_sitelib}/%{name}/plugins/services/*.py
%{python3_sitelib}/%{name}/plugins/services/__pycache__/*.pyc
%{python3_sitelib}/%{name}/services/*.py
%{python3_sitelib}/%{name}/services/__pycache__/*.pyc
%{python3_sitelib}/%{name}/services/meta/*.py
%{python3_sitelib}/%{name}/services/meta/__pycache__/*.pyc
%{python3_sitearch}/_%{name}.so
%{_datadir}/dbus-1/services/org.%{name}.Manager.service
%{_datadir}/dbus-1/system.d/org.%{name}.Mechanism.conf
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/icons/hicolor/*/*/%{name}-*.png
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_datadir}/icons/hicolor/scalable/*/%{name}-*.svg
%{_datadir}/icons/hicolor/scalable/*/%{name}.svg
%{_datadir}/%{name}/pixmaps/%{name}-*.png
%{_datadir}/dbus-1/services/org.%{name}.Applet.service
%{_datadir}/dbus-1/system-services/org.%{name}.Mechanism.service
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/polkit-1/actions/org.%{name}.policy
%{_datadir}/polkit-1/rules.d/%{name}.rules
%{_mandir}/man1/%{name}-*.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#/sbin is needed to find /sbin/ip binary
PATH="${PATH}:/sbin"					\
./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-systemdsystemunitdir=no			\
	--with-systemduserunitdir=no			\
	--enable-thunar-sendto=no			\
	--enable-settings-integration			\
	--enable-polkit					\
	--disable-schemas-compile			\
	--disable-appindicator				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
export PYTHON=%{__python}
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/blueman.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/blueman-*.desktop

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%find_lang	%{name}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
